FROM ubuntu:latest

RUN apt-get update && apt-get upgrade -y && apt-get install -y curl jq rsync

RUN curl -sL `curl -s https://api.github.com/repos/roswell/roswell/releases/latest \
    | jq -r '.assets | .[] | select(.name|test("deb$")) | .browser_download_url'` \
    --output roswell.deb \
    && apt install -y ./roswell.deb

RUN ros install coleslaw-org/coleslaw
ENV PATH="/root/.evm/bin:/root/.roswell/bin:$PATH"
RUN coleslaw --help 2>&1
